$(function () {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', '//click.lucky.online/click/ip-location.html', false);
    xhr.send();

    if (xhr.status === 200) {
        var response = JSON.parse(xhr.responseText);
        setGeoData(response.city, response.country, response.code);
    }

    function setGeoData(city, country, countryCode) {

        $('.user-city').text(city);
        $('country').text(country);
        $('.js-city').html(city);


        setCountryPrice(countryCode);
    }

    function setCountryPrice(geoCountry) {


        if (typeof (country) == 'undefined') {
            country = geoCountry;
        }

        if (country == 'KZ') {
            kz_selected = 'selected="selected"';
        } else {
            kz_selected = '';
        }
        if (country == 'UZ') {
            uz_selected = 'selected="selected"';
        } else {
            uz_selected = '';
        }
        if (country == 'BY') {
            by_selected = 'selected="selected"';
        } else {
            by_selected = '';
        }
        if (country == 'KG') {
            kg_selected = 'selected="selected"';
        } else {
            kg_selected = '';
        }

        selects = $("select[name='country']");
        selects.append('<option value="RU">Россия</option>');
        selects.append('<option value="BY" ' + by_selected + '>Белоруссия</option>');
        selects.append('<option value="KZ" ' + kz_selected + '>Казахстан</option>');
        selects.append('<option value="KG" ' + kg_selected + '>Киргизия</option>');
        selects.append('<option value="UZ" ' + uz_selected + '>Узбекистан</option>');

        var change = 0,
            updatePrices = function (item) {
                change = 1;

                $(item.children).each(function () {
                    if (this.selected) sel = $(this).val();
                });

                if (typeof sel === 'undefined') {
                    sel = 'RU';
                }


                if (sel == 'RU') {
                    $('.old_price_val').html('1990');
                    $('.old_price_cur').html('руб');
                    $('.old_price_sig').html('руб');
                    $('.new_price_val').html('149');
                    $('.new_text_price_val').html('16 490');
                    $('.new_text_price_val2').html('4000');
                    $('.new_price_cur').html('руб');
                    $('.new_price_cur_l').html('рублей');
                    $('.new_price_sig').html('руб');
                    $('.country_name').text('Российские');
                    $('.country_name1').text('российскому');
                    $('.country_name2').text('России');
                    $('.country_name3').text('Россию');
                    $('.country_name4').text('российских');
                    $('.country_name5').text('российской');
                    $('.country_name6').text('российским');
                    $('.country_name7').text('российскому');
                    $('.country_name8').text('российскую');
                    $('.country_name9').text('российские');
                    $('.country_name10').text('российский');
                    $('.country_name11').text('России');
                    $('.country_name12').text('России');
                    $('.country_name13').text('российская');
                    $('.country_name14').text('россиянин');
                    $('.country_name15').text('россиян');
                    $('.country_name16').text('россияне');
                    $('.country_name17').text('Всероссийской');
                    $('.country_name18').text('Россия');
                    $('.country_name19').text('россияне');
                    $('.country_name20').text(' сегодняшней России');
                    $('.country_name21').text(' Русское');
                    $('.country_name22').text(' Россия');
                    $('.country_name23').text(' российском');
                    $('.new_price_1').text('');
                    $('select').val('RU').trigger('change');

                }

                if (sel == 'KZ') {
                    $('.old_price_val').html('11000');
                    $('.old_price_cur').html('тнг');
                    $('.old_price_sig').html('тнг');
                    $('.new_price_val').html('865');
                    $('.new_text_price_val').html('92 770');
                    $('.new_text_price_val2').html('22 503');
                    $('.new_price_cur').html('тнг');
                    $('.new_price_sig').html('тнг');
                    $('.country_name').text('Казахстанские');
                    $('.country_name1').text('казахстанскому');
                    $('.country_name2').text('Казахстана');
                    $('.country_name3').text('Казахстан');
                    $('.country_name4').text('казахских');
                    $('.country_name5').text('казахской');
                    $('.country_name6').text('казахстанским');
                    $('.country_name7').text('казахстанском');
                    $('.country_name8').text('казахскую');
                    $('.country_name9').text('казахские');
                    $('.country_name10').text('Казахский');
                    $('.country_name11').text('Казахстане');
                    $('.country_name12').text('Казахстана');
                    $('.country_name13').text('казахская');
                    $('.country_name14').text('Казахстанин');
                    $('.country_name15').text('казахов');
                    $('.country_name16').text('казахи');
                    $('.country_name17').text('Всеказахской');
                    $('.country_name18').text('Казахстан');
                    $('.country_name19').text('казахе');
                    $('.country_name20').text(' сегодняшнем Казахстане');
                    $('.country_name21').text(' Казахское');
                    $('.country_name22').text(' Казахстан');
                    $('.country_name23').text(' Казахстанском');
                    $('.new_price_1').text('');
                    $('select').val('KZ').trigger('change');

                }
                if (sel == 'UZ') {
                    $('.old_price_val').html('110000');
                    $('.old_price_cur').html('сум');
                    $('.old_price_sig').html('сум');
                    $('.new_price_val').html('20000');
                    $('.new_text_price_val').html('2 240 480');
                    $('.new_text_price_val2').html('543 477');
                    $('.new_price_cur').html('сум');
                    $('.new_price_sig').html('сум');
                    $('.country_name').text('Узбекистанские');
                    $('.country_name1').text('Узбекистанскому');
                    $('.country_name2').text('Узбекистана');
                    $('.country_name3').text('Узбекистан');
                    $('.country_name4').text('Узбекских');
                    $('.country_name5').text('Узбекской');
                    $('.country_name6').text('Узбекстанским');
                    $('.country_name7').text('Узбекстанском');
                    $('.country_name8').text('Узбекскую');
                    $('.country_name9').text('Узбекские');
                    $('.country_name10').text('Узбекский');
                    $('.country_name11').text('Узбекстане');
                    $('.country_name12').text('Узбекстана');
                    $('.country_name13').text('Узбекская');
                    $('.country_name14').text('Узбекстанин');
                    $('.country_name15').text('Узбеков');
                    $('.country_name16').text('Узбеки');
                    $('.new_price_1').text('');
                    $('select').val('UZ').trigger('change');

                }
                if (sel == 'BY') {
                    $('.old_price_val').html('140');
                    $('.old_price_cur').html('бел. руб.');
                    $('.old_price_sig').html('бел. руб.');
                    $('.new_price_val').html('5');
                    $('.new_text_price_val').html('565');
                    $('.new_text_price_val2').html('137');
                    $('.new_price_cur').html('бел. руб.');
                    $('.new_price_sig').html('бел. руб.');
                    $('.country_name').text('Белорусские');
                    $('.country_name1').text('белорусскому');
                    $('.country_name2').text('Белорусcии');
                    $('.country_name3').text('Белорусию');
                    $('.country_name4').text('белорусских');
                    $('.country_name5').text('белорусской');
                    $('.country_name6').text('белорусским');
                    $('.country_name7').text('белорусском');
                    $('.country_name8').text('белорусскую');
                    $('.country_name9').text('белорусские');
                    $('.country_name10').text('белорусский');
                    $('.country_name11').text('Белорусии');
                    $('.country_name12').text('Белорусии');
                    $('.country_name13').text('Белорусская');
                    $('select').val('BY').trigger('change');
                    // inESializeMask('+(375)9{9}');

                }


                if (sel == 'KG') {
                    $('.old_price_val').html('3380');
                    $('.old_price_cur').html('сом');
                    $('.old_price_sig').html('сом');
                    $('.new_price_val').html('170');
                    $('.new_text_price_val').html('18 200');
                    $('.new_text_price_val2').html('4 414');
                    $('.new_price_cur').html('сом');
                    $('.new_price_sig').html('сом');
                    $('.country_name').text('Киргизия');
                    $('.country_name1').text('Киргизии');
                    $('.country_name2').text('Киргизии');
                    $('.country_name3').text('Киргизию');
                    $('.country_name4').text('киргизских');
                    $('.country_name5').text('киргизской');
                    $('.country_name6').text('киргизским');
                    $('.country_name7').text('киргизском');
                    $('.country_name8').text('киргизскую');
                    $('.country_name9').text('киргизские');
                    $('.country_name10').text('киргизский');
                    $('.country_name11').text('киргизская');
                    $('.country_name12').text('киргизского');
                    $('.country_name13').text('Киргизов');
                    $('.country_name14').text('киргиза');
                    $('.country_name15').text('киргизы');
                    $('select').val(sel).trigger('change');
                }

                change = 0;
            };

        // function inESializeMask(mask) {
        //     $('[name=phone]').inputmask(mask);
        // }

        $("select").change(function () {
            if (change == 0) updatePrices(this);
        }).change();


    }


});
